| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::MediaDescriptionProperties Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, QDBusVariant >.

List of all members.

## Public Member Functions

- MediaDescriptionProperties ()
- MediaDescriptionProperties (const QMap< QString, QDBusVariant > &a)
- MediaDescriptionProperties & operator= (const QMap< QString, QDBusVariant > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QDBusVariant>, but needed to have a discrete type in the Qt type system.

A mapping containing all properties that define the information from a CallContentMediaDescriptionInterface and its interfaces.

If CallContentMediaDescriptionInterface::HasRemoteInformation is True, then this mapping will always contains at least CallContentMediaDescriptionInterface::Codecs

## Constructor & Destructor Documentation

Tp::MediaDescriptionProperties::MediaDescriptionProperties | ( |  | ) | `[inline]`

Tp::MediaDescriptionProperties::MediaDescriptionProperties | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`

## Member Function Documentation

MediaDescriptionProperties& Tp::MediaDescriptionProperties::operator= | ( | const QMap< QString, QDBusVariant > & | a | ) | `[inline]`